def mod1(fn):
    numbers = []
    
    with open(fn, 'r') as f:
        for line in f:
            # Разбиваем строку на элементы
            elements = line.strip().split()
            # Преобразуем каждый элемент в число
            for element in elements:
                number = float(element)
                numbers.append(number)
    
    return numbers

# Пример использования
result = mod1("data.txt")
print('Список файла1: ', result)
